This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 462021

Summary: vnc fails to connect to qemu-kvm started manually
Product: [Fedora] Fedora Reporter: Kevin Constantine <kevin.constantine>
Component: qemuAssignee: David Woodhouse <dwmw2>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: berrange, clalance, dwmw2, gilboad, katzj, virt-maint
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 12:56:31 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Kevin Constantine 2008-09-11 19:18:55 EDT
Description of problem:
If I Run qemu-kvm from the commandline instead of from libvirt, libvirt does not see that the domain has started.  I also cannot connect to the domain via vnc.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Start the Domain: /usr/bin/qemu-kvm -S -M pc -m 1024 -std-vga -smp 2 -name kvmcd -monitor pty -boot c -drive file=/disk1/kvm/kvmcd.img,if=ide,index=0,boot=on -net nic,macaddr=00:16:3e:1c:12:ce,vlan=0 -net tap,fd=15,script=,vlan=0,ifname=vnet1 -serial none -parallel none -usb -vnc 0.0.0.0:1 &
2.  Try to connect to the domain via vnc.
3.  vncviewer hangs  saying "CConn:   connected to host <hostname> port 5901, but I do not see a viewer.
  
Actual results:
vncviewer hangs  saying "CConn:   connected to host <hostname> port 5901, but I do not see a viewer.

Expected results:
I should see a vncviewer window with my domain.

Additional info:
I've tested this with the latest fc8 rpms, and then with the latest fc9 rpms.

The following rpms are currently installed.
qemu-0.9.1-6.fc9
kvm-65-7.fc9
libvirt-python-0.4.4-2.fc8
libvirt-0.4.4-2.fc8
Comment 1 Daniel Berrange 2008-09-12 05:41:39 EDT
libvirt does not manage virtual machines you start directly. If you want virtual machines to be seen & managed by libvirt, then you must start them with libvirt
Comment 2 Kevin Constantine 2008-09-12 14:00:09 EDT
The fact that libvirt doesn't see the domain doesn't really concern me.  The crux of my question/bug report is that qemu-kvm doesn't seem to connect the guest domain back to the host domain's vnc socket.  

I see that the host is listening on the proper vnc port, but connections from a client hang.  Is libvirt responsible for hooking the guest to the host? or is that done by kvm?

Thanks!
Comment 3 Gilboa Davara 2008-11-30 05:16:43 EST
I believe this bug should filed against qemu itself (and not against kvm/qemu-kvm), hence I report it.

I'm seeing the same under F9, using both qemu and qemu-kvm. (both running on x86_64 hardware).

First connect to vnc socket works just.
However, once you disconnect from the VNC, subsequent reconnect attempt usually time out.

I'll attempt to get a strace once I hit this bug again.

- Gilboa
Comment 4 Gilboa Davara 2008-11-30 05:17:40 EST
s/hence I report it/hence I reopened the bug/g

- Gilboa
Comment 5 Bug Zapper 2009-06-09 22:41:51 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:56:31 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.